xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) 2008 Justin Bogner <mail@justinbogner.com>
License | BSD3-style (as xmonad)
Maintainer | Justin Bogner <mail@justinbogner.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.FixedColumn

Contents

- Usage

Description

A layout much like Tall, but using a multiple of a window's minimum resize amount instead of a percentage of screen to decide where to split. This is useful when you usually leave a text editor or terminal in the master pane and like it to be 80 columns wide.

Synopsis

- data FixedColumn a = FixedColumn !Int !Int !Int !Int

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.FixedColumn

Then edit your `layoutHook` by adding the FixedColumn layout:

    myLayout = FixedColumn 1 20 80 10 ||| Full ||| etc..
    main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data FixedColumn a

A tiling mode based on preserving a nice fixed width window. Supports `Shrink`, `Expand` and `IncMasterN`.

Constructors

FixedColumn !Int !Int !Int !Int |

Instances

LayoutClass FixedColumn Window |
Read (FixedColumn a) |
Show (FixedColumn a) |